#' @name hakeGSA7
#' @title hakeGSA7
#' @description Catch number, stocks weights, etc. for Gulf of Lions Hake (1998 - 2011).
#' @docType data
#' @usage hakeGSA7
#' @format an \code{FLStock} object
#' @source GFCM - STECF
#' @author Chato Osio
NULL

#' @name hakeGSA7.idx
#' @title hakeGSA7.idx
#' @description Survey index for the Gulf of Lions Hake stock.
#' @docType data
#' @usage hakeGSA7.idx
#' @format an \code{FLIndices} object
#' @source GFCM - STECF - MEDITS
#' @author Chato Osio
NULL

#' @name rfLen.stk
#' @title rfLen.stk
#' @description Simulated stock based on red fish.
#' @docType data
#' @usage rfLen.stk
#' @format an \code{FLStock} object
#' @author Daniel Howell
NULL

#' @name rfTrawl.idx
#' @title rfTrawl.idx
#' @description Trawl survey index for red fish.
#' @docType data
#' @usage rfTrawl.idx
#' @format an \code{FLIndex} object
#' @author Daniel Howell
NULL

#' @name rfTrawlJmp.idx
#' @title rfTrawlJmp.idx
#' @description Trawl survey index for red fish, with a jump in catchability.
#' @docType data
#' @usage rfTrawlJmp.idx
#' @format an \code{FLIndex} object
#' @author Daniel Howell
NULL

#' @name rfTrawlTrd.idx
#' @title rfTrawlTrd.idx
#' @description Trawl survey index for red fish, with a trend in catchability.
#' @docType data
#' @usage rfTrawlTrd.idx
#' @format an \code{FLIndex} object
#' @author Daniel Howell
NULL

#' @name index_cd_len
#' @title index_cd_len 
#' @description Survey abundance index for hake in the Gulf of Cadiz. Lenth frequencies.
#' @docType data
#' @usage index_cd_len
#' @format an \code{FLIndex} object
#' @author Santiago Cervi\~no
NULL

#' @name index_pt_len
#' @title index_pt_len 
#' @description Survey abundance index for hake in Portuguese continental waters. Lenth frequencies.
#' @docType data
#' @usage index_pt_len
#' @format an \code{FLIndex} object
#' @author Santiago Cervi\~no
NULL

#' @name index_sp_len
#' @title index_sp_len 
#' @description Survey abundance index for hake in Northwest Spanish waters. Lenth frequencies.
#' @docType data
#' @usage index_sp_len
#' @format an \code{FLIndex} object
#' @author Santiago Cervi\~no
NULL

#' @name shake_len
#' @title shake_len
#' @description FLR stock object for southern hake.
#' @docType data
#' @usage shake_len
#' @format an \code{FLStock} object
#' @author Santiago Cervi\~no
NULL

